Figure - 0 O Dev #110659
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev# 110125 (New): 0 MKO OBSPO 0 0 0 O
0 O Dev#110657 (O O O InProgress): 0 MKO 00040 0 TPO 0 0 O
0 MKO 000040 O TPO O TC-RID: 1201-01004050 TPO O O O O
2022-07-2513:02 - CD TPM-0 0 O

Status: O O Resolved Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDBSP-U O % Done: 100%
Category: BSP Estimated time: 0.00 hour
Target version:

Description

oooood

m0000:

https://thundersoft.feishu.cn/sheets/shtcngaFykINSnMcKWLuICI3xnc L39

TPODOOOO

m JOURLODODO
m [ 0Ocased 00O
00000000 OOOOOOO

History

#1 - 2022-08-02 14:20 - SZ TPM-0 O O
- Assignee changed from SZ TPM-0O O 0O to SZBSP-0 00 O

#2 - 2022-08-04 21:28 - CD TPM-0 O O
- Subject changed from O MKO 0 0040 O TPO O TC-RID: 0301-01004050 TPO 0O 0 O O to O MKDO 00040 O TPO O TC-RID: 1201-01004050 TPO 0 O O O

#3 - 2022-09-05 09:52 - SZ BSP-0O0 O O
- Assignee changed from SZ BSP-(J O [0 to CDBSP-00 O I

#4 - 2022-09-08 22:59 - CD BSP-0 0 O
- Assignee changed from CD BSP-O O O to CD BSP-O O

#5-2022-10-27 21:57-CDBSP-O O O
- Status changed from New to 00 00 O In Progress

- % Done changed from 0 to 50

MCE_vX1OOOO0O
vclooooooooooooooo

#6 - 2022-11-17 19:04 - CD BSP-0O O
- Status changed from O O O In Progress to [0 [0 Resolved
- % Done changed from 50 to 100

vcliooooooooooooooooooooooooooooobooooooo

https://dev.thundercomm.com/gerrit/c/general/vendor/thundercomm/products/figure/+/161343
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc
https://dev.thundercomm.com/gerrit/c/general/vendor/thundercomm/products/figure/+/161343

#7 - 2022-12-22 20:51 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

161343

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Update Firmware to FC63CD1.Fix touch jitter problem2.Optimize the coordinates of the left touch pointTC-RID: 1201-01004011ssuelD:
TS-R-DF-110659Change-Id: 1306b5d71ed3c9e3967fca492b1d19f3a30d255¢7

#8 - 2023-01-16 14:34 - loT scm

Gerrit Merge Information(]

1D

Project

Branch

Uploader

174001

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Update vcl touchscreen firmware to 1BGEACAdd Curve Compensation ParametersTC-RID: 1201-0100401lssuelD: TS-R-DF-110659Change-Id:
1c530409b22de6d3e94a5eb131b7d5b229dadb3c7

#9 - 2023-01-16 14:35 - |oT scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

161348

general/clo/la/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Update touch driver configurationUpdate touch driver configurationTC-RID: 1201-0100401IssuelD: TS-R-DF-110659Change-1d:
la2ch5271d00d8a82dbddfbed2f24ec8437ff39fc

#10 - 2023-06-26 17:30 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

209638

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Fix dsi max96755 lock and tp check reduceTp check reduceTC-RID: 1201-0100401Issuel D: TS-R-DF-110659, IOVDEV-35807Change-1d:
10ed0b9dcccdef57ab835876f7h4dadfh5a6e8554
#11 - 2023-06-26 17:30 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
209622 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
ts/figure r-dev

BSP:TP: Update vcl touchscreen firmware to 8852d1Fix abnormal reporting issuesTC-RID: 1201-01004011ssuel D: TS-R-DF-110659, IOVDEV-35807Change-1d:
1dbb58ca5268f75b2f1cf6f7febe3eb131124a4ba

#12 - 2023-06-26 18:56 - 0T scm
Gerrit Merge Information(

1D Project Branch Uploader

209797 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:TP: Fix dsi max96755 lock and tp check reduceTp check reduceTC-RID: 1201-01004011ssuelD: TS-R-DF-110659, IOVDEV-35807Change-Id:
10ed0b9dcccdef57ab835876f7b4dadfb5a6e8554(cherry picked from commit a9a5924764481c0ebc6e87535ab9ef33743082db)

#13 - 2023-06-26 18:56 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
209798 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com
ts/figure r-release_sorp

BSP:TP: Update vcl touchscreen firmware to 8852d1Fix abnormal reporting issuesTC-RID: 1201-0100401Issuel D: TS-R-DF-110659, IOVDEV-35807Change-1d:
1dbb58ca5268f75b2f1cf6f7febe3eb131124adba(cherry picked from commit d3eebba9080f78e7bebaddc98462a14e42675f3b)

#14 - 2023-06-28 20:17 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
210914 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-dev

BSP:TP: Add sensitivity update functionFix the issue of not being able to update sensitivity parametersduring the first upgradeTC-RID: 1201-01004011IssuelD:
TS-R-DF-110659, IOVDEV-10981Change-1d: 1d894b82528dddcb2d9al0cc78b428a%cab4b0ad
#15 - 2023-06-28 21:28 - IoT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

210850

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangxl0510@thundersoft.com

Revert BSP:TP: Update vcl touchscreen firmware to 8852d1This reverts commit d3eebba9080f78e7bebaddc98462a14e42675f3b.Reason for revert: Old screen not
adaptTC-RID: 1201-0100401lssuel D: TS-R-DF-110659, IOVDEV-35807Change-Id: 1077ca9319ch7d7dd30f1e3af6h72c6681ec354e0

#16 - 2023-06-30 16:53 - IoT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

210857

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:TP: Add sensitivity update functionFix the issue of not being able to update sensitivity parametersduring the first upgradeTC-RID: 1201-0100401Issuel D:
TS-R-DF-110659, IOVDEV-10981Change-Id: 1d894b82528dddch2d9a10cc78b428a9ecab4b0ad(cherry picked from commit
3350a81c0dadc63ea70d413c3c2cd283b750e336)

#17 - 2023-06-30 16:53 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

210851

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

Revert BSP:TP: Update vcl touchscreen firmware to 8852d1This reverts commit d3eebba9080f78e7bebaddc98462a14e42675f3b.Reason for revert: Old screen not
adaptTC-RID: 1201-0100401Issuel D: TS-R-DF-110659, IOVDEV-35807Change-1d: 1077ca9319ch7d7dd30f1e3af6b72c6681ec354e0

#18 - 2023-06-30 23:11 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

211632

general/vendor/thundercomm/produc
ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

2025-07-04
BSP:TP: Update vcl touchscreen firmware to 910821Fix abnormal reporting issuesTC-RID: 1201-01004011ssuel D: TS-R-DF-110659, IOVDEV-35807Change-1d:

11e4¢113c9356f4dff3ca32bel6f77300f3819455

#19 - 2023-07-03 15:56 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

211902

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

Revert BSP:TP: Update vcl touchscreen firmware to 910821 This reverts commit 47f23eecc00c31f92a688cc88e403bf852cc6df5.Reason for revert: <use old
firmware>TC-RID: 1201-0100401IssuelD: TS-R-DF-110659, IOVDEV-35807Change-1d: 1b2bf8b329d8ab3dce0deba766406790c482078db

#20 - 2023-07-21 22:13 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

211435

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TP: Update vcl touchscreen firmware to 910821Fix abnormal reporting issuesTC-RID: 1201-01004011ssuel D: TS-R-DF-110659, IOVDEV-35807Change-1d:
11e4¢113c9356f4dff3ca32bel6f77300f3819455

#21 - 2023-07-21 22:15 - 10T scm
Gerrit Merge Information(]

ID

Project

Branch

Uploader

216826

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

Revert Revert BSP:TP: Update vcl touchscreen firmware to 910821 This reverts commit ce9fbfd4379bc9511dc4677b53dfd59ac9d778b3.Reason for revert: <use hew
tp for 0126>TC-RID: 1201-0100401lIssuel D: TS-R-DF-110659, IOVDEV-35807Change-1d: 17606db5589f071779b2c1184001ff7c0ad89ce52

#22 - 2023-08-21 15:52 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

304840

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

xiao.yu@thundersoft.com

2025-07-04
BSP:TP: Increase transparent transmission detectionIncrease transparent transmission detection when panel offTC-RID: 1201-0100401IssuelD: TS-R-DF-110659,
I0VDEV-14742Change-1d: 190f1876bea96daebe399ech9b238a6abd1d18813

#23 - 2023-08-22 18:45 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader

305339 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:TP: Increase transparent transmission detectionlncrease transparent transmission detection when panel offTC-RID: 1201-01004011ssuelD: TS-R-DF-110659,
IOVDEV-14742Change-Id: 190f1876bea96daebe399ech9b238a6abd1d18813(cherry picked from commit ade91ledcch7d8fhe55a041d98d84709bb0d76ed8)
